
Foreman - Bug #2281

Don't allow 'administrator' permission for internal 'admin' user to be removed

03/05/2013 06:02 AM - Jon Fautley

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Users, Roles and Permissions   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, it's possible to remove the 'Administrator' permission from the internal admin user account. Doing so prevents all manner

of useful things (reports, facts, build status, etc) from being updated by nodes checking in.

The 'Administrator' bit should be locked on the 'admin' account to prevent this from being disabled (I note there's already logic in

place to prevent the user being deleted so hopefully this can just be a small extension to that)

Associated revisions

Revision 6a26fecd - 05/09/2013 03:17 PM - Dominic Cleal

fixes #2281 - don't allow admin flag to be removed from admin account

History

#1 - 03/05/2013 07:02 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Priority changed from High to Normal

- Target version set to 1.2.0

https://github.com/theforeman/foreman/pull/454

replaced with https://github.com/theforeman/foreman/pull/473

#2 - 05/09/2013 05:06 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6a26fecd43e006007a4c92d49b9008be7d2e18c4.
